Bug 467589 - SELinux is preventing the npviewer.bin from using potentially mislabeled files (/home/achiang/.gcjwebplugin/gcj-instance-3349-0-plugin-to-appletviewer).
SELinux is preventing the npviewer.bin from using potentially mislabeled file...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-10-18 21:08 EDT by Alex Chiang
Modified: 2008-10-23 14:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-23 14:42:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alex Chiang 2008-10-18 21:08:57 EDT

SELinux is preventing the npviewer.bin from using potentially mislabeled files

Detailed Description:

SELinux has denied npviewer.bin access to potentially mislabeled file(s)
(/home/achiang/.gcjwebplugin/gcj-instance-3349-0-plugin-to-appletviewer). This
means that SELinux will not allow npviewer.bin to use these files. It is common
for users to edit files in their home directory or tmp directories and then move
(mv) them to system directories. The problem is that the files end up with the
wrong file context which confined applications are not allowed to access.

Allowing Access:

If you want npviewer.bin to access this files, you need to relabel them using
restorecon -v
'/home/achiang/.gcjwebplugin/gcj-instance-3349-0-plugin-to-appletviewer'. You
might want to relabel the entire directory using restorecon -R -v '<Unknown>'.

Additional Information:

Source Context                unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c102
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                /home/achiang/.gcjwebplugin/gcj-instance-3349-0
                              -plugin-to-appletviewer [ fifo_file ]
Source                        npviewer.bin
Source Path                   /usr/lib/nspluginwrapper/npviewer.bin
Port                          <Unknown>
Host                          ethanol
Source RPM Packages           nspluginwrapper-1.1.2-2.fc10
Target RPM Packages           
Policy RPM                    selinux-policy-3.5.13-1.fc10
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   home_tmp_bad_labels
Host Name                     ethanol
Platform                      Linux ethanol #1 SMP Fri
                              Oct 17 00:07:31 EDT 2008 i686 i686
Alert Count                   1
First Seen                    Sat 18 Oct 2008 07:01:15 PM MDT
Last Seen                     Sat 18 Oct 2008 07:01:38 PM MDT
Local ID                      b0c61e3e-a57f-40b1-860e-fa915daaa6d6
Line Numbers                  

Raw Audit Messages            

node=ethanol type=AVC msg=audit(1224378098.253:95): avc:  denied  { write } for  pid=3967 comm="npviewer.bin" path="/home/achiang/.gcjwebplugin/gcj-instance-3349-0-plugin-to-appletviewer" dev=dm-0 ino=2179363 scontext=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=fifo_file

node=ethanol type=AVC msg=audit(1224378098.253:95): avc:  denied  { read } for  pid=3967 comm="npviewer.bin" path="/home/achiang/.gcjwebplugin/gcj-instance-3349-0-appletviewer-to-plugin" dev=dm-0 ino=2179362 scontext=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=fifo_file

node=ethanol type=SYSCALL msg=audit(1224378098.253:95): arch=40000003 syscall=11 success=yes exit=0 a0=9a596a0 a1=9a59fb8 a2=9a5a488 a3=0 items=0 ppid=3349 pid=3967 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="npviewer.bin" exe="/usr/lib/nspluginwrapper/npviewer.bin" subj=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 key=(null)
Comment 1 Daniel Walsh 2008-10-20 09:35:24 EDT
Did everything seem to work fine?
Comment 2 Christopher D. Stover 2008-10-23 12:46:01 EDT
Daniel, should I mark this as a duplicate of bug 466229?  It looks like the same issue.
Comment 3 Daniel Walsh 2008-10-23 14:42:05 EDT
Changing the labeling of this directory to nsplugin_home_t should fix

chcon -R -t nsplugin_home_t ~/.gcjwebplugin
Comment 4 Daniel Walsh 2008-10-23 14:42:29 EDT
Fixed in selinux-policy-3.5.13-6.fc10

Note You need to log in before you can comment on or make changes to this bug.